Bug 1286391 - [abrt] gimp: g_type_check_instance_is_fundamentally_a(): gimp-2.8 killed by SIGSEGV
[abrt] gimp: g_type_check_instance_is_fundamentally_a(): gimp-2.8 killed by S...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a5109fd2390b479b5833e1bca0b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-28 17:35 EST by Brandon Amaro
Modified: 2016-07-19 14:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:32:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.87 KB, text/plain)
2015-11-28 17:35 EST, Brandon Amaro
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-28 17:35 EST, Brandon Amaro
no flags Details
File: core_backtrace (10.45 KB, text/plain)
2015-11-28 17:35 EST, Brandon Amaro
no flags Details
File: dso_list (24.04 KB, text/plain)
2015-11-28 17:35 EST, Brandon Amaro
no flags Details
File: environ (3.84 KB, text/plain)
2015-11-28 17:35 EST, Brandon Amaro
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-28 17:35 EST, Brandon Amaro
no flags Details
File: maps (161.37 KB, text/plain)
2015-11-28 17:35 EST, Brandon Amaro
no flags Details
File: mountinfo (3.08 KB, text/plain)
2015-11-28 17:35 EST, Brandon Amaro
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-28 17:35 EST, Brandon Amaro
no flags Details
File: open_fds (1.32 KB, text/plain)
2015-11-28 17:35 EST, Brandon Amaro
no flags Details
File: proc_pid_status (1019 bytes, text/plain)
2015-11-28 17:35 EST, Brandon Amaro
no flags Details
File: var_log_messages (252 bytes, text/plain)
2015-11-28 17:36 EST, Brandon Amaro
no flags Details

  None (edit)
Description Brandon Amaro 2015-11-28 17:35:40 EST
Description of problem:
I was trying to rearrange the bookmarks when saying an image.

Version-Release number of selected component:
gimp-2.8.14-3.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gimp-2.8 /home/omega13a/Pictures/3d_stuff/images/Bajor_V.jpg.large.asteroid.png
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/gimp-2.8
global_pid:     13645
kernel:         4.2.6-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4028
 #1 g_object_ref at gobject.c:3040
 #2 g_list_foreach at glist.c:1005
 #3 get_mounts at gdaemonvolumemonitor.c:59
 #5 _gtk_file_system_list_volumes at gtkfilesystem.c:538
 #7 shortcuts_add_volumes at gtkfilechooserdefault.c:1989
 #8 volumes_bookmarks_changed_cb at gtkfilechooserdefault.c:5038
 #9 _g_closure_invoke_va at gclosure.c:831
 #11 g_signal_emit_by_name at gsignal.c:3401
 #12 _gtk_file_system_set_bookmark_label at gtkfilesystem.c:1293
Comment 1 Brandon Amaro 2015-11-28 17:35:45 EST
Created attachment 1100005 [details]
File: backtrace
Comment 2 Brandon Amaro 2015-11-28 17:35:46 EST
Created attachment 1100006 [details]
File: cgroup
Comment 3 Brandon Amaro 2015-11-28 17:35:47 EST
Created attachment 1100007 [details]
File: core_backtrace
Comment 4 Brandon Amaro 2015-11-28 17:35:49 EST
Created attachment 1100008 [details]
File: dso_list
Comment 5 Brandon Amaro 2015-11-28 17:35:50 EST
Created attachment 1100009 [details]
File: environ
Comment 6 Brandon Amaro 2015-11-28 17:35:51 EST
Created attachment 1100010 [details]
File: limits
Comment 7 Brandon Amaro 2015-11-28 17:35:55 EST
Created attachment 1100011 [details]
File: maps
Comment 8 Brandon Amaro 2015-11-28 17:35:56 EST
Created attachment 1100012 [details]
File: mountinfo
Comment 9 Brandon Amaro 2015-11-28 17:35:57 EST
Created attachment 1100013 [details]
File: namespaces
Comment 10 Brandon Amaro 2015-11-28 17:35:58 EST
Created attachment 1100014 [details]
File: open_fds
Comment 11 Brandon Amaro 2015-11-28 17:35:59 EST
Created attachment 1100015 [details]
File: proc_pid_status
Comment 12 Brandon Amaro 2015-11-28 17:36:00 EST
Created attachment 1100016 [details]
File: var_log_messages
Comment 13 Nils Philippsen 2016-06-03 08:38:23 EDT
Sorry for the late response.

According to the backtrace, the crash happened deep in gtk2/gvfs/glib2, in the gobject type system. Changing component accordingly.
Comment 14 Fedora End Of Life 2016-07-19 14:32:43 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.